Bug 227338 - x11-wm/openbox update to 3.6_3 resets openbox menu.xml
Summary: x11-wm/openbox update to 3.6_3 resets openbox menu.xml
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Roman Bogorodskiy
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2018-04-07 10:00 UTC by meine
Modified: 2019-02-23 11:46 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (novel)


Attachments
add @sample for global config files (1.33 KB, patch)
2018-04-15 07:32 UTC, Roman Bogorodskiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description meine 2018-04-07 10:00:34 UTC
FreeBSD 11.1 on amd64

running the "# pkg upgrade" and upgrading openbox resets the openbox menu.xml (/usr/local/etc/xdg/openbox/menu.xml) to default values. user customized items are removed.

this is not really a bug, but is impractical from an end user's point of view. maybe the menu.xml can be left untouched when running an upgrade.

probably affects all openbox upgrades.

TIA

//meine
Comment 1 Roman Bogorodskiy freebsd_committer 2018-04-08 16:57:23 UTC
(In reply to meine from comment #0)

I imagine that most users will want to customize menu by editing ~/.config/openbox/menu.xml.

OTOH, I see no reason why we can't convert global menu.xml and rc.xml (and probably environment and autostart too) to use @sample. I think I'll do that some time next week.
Comment 2 Roman Bogorodskiy freebsd_committer 2018-04-15 07:32:00 UTC
Created attachment 192521 [details]
add @sample for global config files
Comment 3 Roman Bogorodskiy freebsd_committer 2018-04-15 07:32:51 UTC
(In reply to meine from comment #0)

Could you please check if the attached patch works for you?

Thanks
Comment 4 commit-hook freebsd_committer 2019-01-16 16:45:42 UTC
A commit references this bug:

Author: novel
Date: Wed Jan 16 16:45:10 UTC 2019
New revision: 490492
URL: https://svnweb.freebsd.org/changeset/ports/490492

Log:
  x11-wm/openbox: use @sample for global config files

  Even though users usually keep WM configuration local, it's
  good to use @sample for global configuration files to avoid
  losing it on package reinstalls.

  Bump PORTREVISION due to package change.

  PR:		227338
  Reported by:	meine <trialero@gmx.com>

Changes:
  head/x11-wm/openbox/Makefile
  head/x11-wm/openbox/pkg-plist
Comment 5 Roman Bogorodskiy freebsd_committer 2019-01-16 16:50:52 UTC
There were no feedback on the patch, so I forgot about it. Just stumbled upon it and committed, thanks for reporting.
Comment 6 meine 2019-02-23 11:46:50 UTC
(In reply to Roman Bogorodskiy from comment #5)
XQQ, I forgot to give feedback. The proper location of the menu in ~/.config/openbox/menu.xml should work.